program gridtest
use kvar; use kcnst; use kphysmod 
implicit none
integer, parameter :: ix=61
integer ii
real(mrl) F_tk
real, allocatable, dimension(:,:) :: za,xa,dummy
print *,'kickoff...'
call kickoff
open(unit=10,file='../play/grid.dat',status='unknown')
open(unit=20,file='../play/grids.dat',status='unknown')
print *,'will read...'
call read_namelist_file 
print *, 'will call allocate_arrays'
call allocate_arrays 
print *, 'did call allocate_arrays'
allocate(xa(ix,nf),za(ix,nf),dummy(ix,nf))
print *, "allocated"
dummy=0.
call repoint 
do ii=1,ix
	write(*,'(i3)',advance='no') ii
	hite=500+2000*(ii-1.)/(ix-1.)
	zbottom=500+500*cos(pi*(ii-1.)/(ix-1.))
	call nocturnal_grid
	zfdef=zf
	zfnext=zfdef
	call z_coords 
!	blgsq=1.
	if (gridadapt.ge.1) then
!	time=2.
		call blgrid_prep
		zf=zfnext
	end if
	do j=1,nf
		xa(ii,j)=ii-1
		za(ii,j)=zf(j)
    	dummy(ii,j)=1.9*F_tk(.01*(hite-za(ii,j)))-.95
	end do
end do
do n=1,nf
	write (10,*) n,zfdef(n),zf(n)
end do

write (20,*) "$in=",ix
write (20,*) "$jn=",nf
write (20,*) "$ixy=0"
write (20,'(e14.6)') dummy,xa,za
write (*,*) ' success'
end program gridtest


