#!/usr/bin/env python
# reads a trace file, and plots a something as function of time
import pandas as pd
import sys
import matplotlib.pyplot as plt
ncase = sys.argv[1]
f1='buoyfluxmin'
if len(sys.argv) > 2: f1=sys.argv[2]
colnames='time,th1,hite,buoyfluxmin,deltaradflux,fsmokemax,colwat'.split(',')
h = pd.read_csv("../output/"+ncase+'/'+ncase+'.trace', header=None, names=colnames, sep='\s+') 
print(list(h.columns))
plt.plot(h.time,h[f1],label=f1)
plt.title(ncase)
plt.legend()
plt.savefig('../output/'+ncase+'/'+ncase+'trace.png')
plt.show()
