program kinit 
use kvar; use kcnst; use kphysmod; use micromod
implicit none
print *,'kickoff...'
call kickoff
print *,'read...'
call read_namelist_file 
call allocate_arrays 
call repoint 
if (gridtype.eq.1) then
	call arpgrid 
else if (gridtype.eq.2) then
	call nocturnal_grid
else
	call uniform_grid 
end if
zfdef=zf
zfnext=zfdef
call z_coords 
if (gridadapt.ge.1) then
	call blgrid_prep
	zf=zfnext
end if
call z_coords 
call init_fields 
call z_to_exner_to_pres 
call pres_to_mass
call mass_coords 
call calc_mean_rho 
if (wetphys.gt.0) call microphysics(1)
if (wetphys.gt.0) call microphysics(1)
dmfold=dmf
timehist=time
call open_trace(0)
call write_trace
call write_hist
call write_restart 
end  

